diff --git a/CHANGELOG b/CHANGELOG
index 0b595a5..83df16a 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -20,6 +20,7 @@
 - update kernel patches.
 - add configuration variable to control appending of global options.
 - add command option to set a global mount options string.
+- add check for labeled local filesystems (Matthias Koenig).
 
 20/2/2007 autofs-5.0.1
 ----------------------
diff --git a/lib/mounts.c b/lib/mounts.c
index 524f0ee..0e428e8 100644
--- a/lib/mounts.c
+++ b/lib/mounts.c
@@ -371,7 +371,9 @@ int contained_in_local_fs(const char *path)
 						ret = 1;
 				} else
 					ret = 1;
-			}
+			} else if (!strncmp("LABEL=", this->fs_name, 6) ||
+				   !strncmp("UUID=", this->fs_name, 5))
+				ret = 1;
 			break;
 		}
 	}
